# How to contribute to Formspree

#### Do you have a question about setting up Formspree?
* The Formspree repository should not be used for help with setting up Formspree on your own site. If you experience some difficulty setting up Formspree, please instead email [team@formspree.io](mailto:team@formspree.io) and we can help you out.

#### Did you find a bug?
* **Ensure the bug was not already reported** by searching on GitHub under [Issues](https://github.com/formspree/formspree/issues).

* If you're unable to find an open issue addressing the problem, [open a new one](https://github.com/formspree/formspree/issues/new). Be sure to include a **title and clear description**, as much relevant information as possible, and a **code sample** or an **executable test case** demonstrating the expected behavior that is not occurring.

#### Did you write a patch to fix a bug?
* Please first open an issue before submitting a pull request. This will allow our team to replicate the bug
* Submit a pull request from a fork of the Formspree repository. In the request, please reference your issue number, using standard GitHub notation (ex. #65)
* The project maintainers will review your bug fix, and test it to ensure that everything will still work as expected. If there's something wrong, we'll make any suggestions and ask you to fix them, otherwise we'll merge it into master!
#### Do you want to add a new feature?
We track both issues and future enhancements through GitHub issues. If you would like to suggest a feature, please open an issue and make sure to provide the following information:
* **Use a clear and descriptive title** for the issue to identify the suggestion
* **Provide a step-by-step description of the suggested enhancement** in as many details as possible
* **Describe the current behavior and explain which behavior you expected to see instead** and why.

Formspree is a volunteer effort, and we welcome contributions from the open source community. Special thanks to [Atom](https://github.com/atom/atom/) and [Rails](https://github.com/rails/rails/) for helping us develop these guidelines.

Thanks! :heart:

The Formspree Team